package com.ffii.lioner.modules.master.entity;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import jakarta.validation.constraints.NotBlank;
import java.util.Objects;

/** @author Jason Lam */
@Entity
@Table(name = "sub_division")
public class SubDivision extends BaseEntity<Long>{

	@NotBlank
	@Column
	private String name;

    @Column
	private Long divisionId;

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getDivisionId() {
        return this.divisionId;
    }

    public void setDivisionId(Long divisionId) {
        this.divisionId = divisionId;
    }

}

